Bug 160633 - [ES6] Add ModuleLoaderPrototype and move methods to it
Summary: [ES6] Add ModuleLoaderPrototype and move methods to it
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-06 12:33 PDT by Yusuke Suzuki
Modified: 2016-08-10 01:38 PDT (History)
1 user (show)

See Also:


Attachments
Patch (137.82 KB, patch)
2016-08-06 12:39 PDT, Yusuke Suzuki
no flags Details | Formatted Diff | Diff
Patch (137.53 KB, patch)
2016-08-06 22:21 PDT, Yusuke Suzuki
sbarati: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2016-08-06 12:33:46 PDT
[ES6] Add ModuleLoaderPrototype and move methods to it
Comment 1 Yusuke Suzuki 2016-08-06 12:39:43 PDT
Created attachment 285493 [details]
Patch
Comment 2 Yusuke Suzuki 2016-08-06 22:21:00 PDT
Created attachment 285521 [details]
Patch
Comment 3 Yusuke Suzuki 2016-08-07 05:05:58 PDT
Comment on attachment 285521 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=285521&action=review

> Source/JavaScriptCore/ChangeLog:14
> +        information). This case also requires the ability to create a new module loader instance.

Maybe, passing initiator throught the pipeline would be better. BTW, because of the first reason, this patch is required.
I'll drop this paragraph when landing.
Comment 4 Saam Barati 2016-08-09 16:15:09 PDT
Comment on attachment 285521 [details]
Patch

r=me
Comment 5 Yusuke Suzuki 2016-08-10 01:38:39 PDT
Committed r204330: <http://trac.webkit.org/changeset/204330>